Subject: Re: bug#59121: 29.0.50; Gnus: Nnir is deprecated but not mention in the manual

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 08 Nov 2022 13:18:51 -0800

Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Hey,
>
> While trying out how to search for emails in Gnus, I noticed that
> nnir.el is deprecated but the manual (gnu.org/software/emacs/manual)
> doesn't mention any of that.
> I think the manual should mention that. I think such changes should be
> documented right a way in general.

Do you mean that you recently upgraded Emacs, and got a deprecation
warning for a nnir-* variable, but there's no information in the Gnus
manual about migrating away from nnir?

That does seem like an oversight...